InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::PowerManagementConfigCharging Struct Reference
Inheritance diagram for inertia::PowerManagementConfigCharging:
[legend]
Collaboration diagram for inertia::PowerManagementConfigCharging:
[legend]

## Public Member Functions
| PowerManagementConfigCharging (uint8_t const *in, const unsigned _length)
| PowerManagementConfigCharging (std::wstring const &argString)
unsigned | GetLength () const override
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
Public Member Functions inherited from inertia::PowerManagementConfig
| PowerManagementConfig (PowerManagementDescriptorID const _descrID)
| PowerManagementConfig (uint8_t const *in, const unsigned _length)
| PowerManagementConfig (std::wstring const &argString)
PowerManagementDescriptorID | GetDescrID () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::PowerManagementConfig
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | enableCharger
bool | enableTemperatureCompensation
uint16_t | chargeCurrentLimit
std::vector< uint8_t > | applicationData
Public Attributes inherited from inertia::PowerManagementConfig
uint8_t | instance

## Member Function Documentation

## ◆ GetBytes()

void inertia::PowerManagementConfigCharging::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Reimplemented from inertia::PowerManagementConfig.

## ◆ GetLength()

unsigned inertia::PowerManagementConfigCharging::GetLength | ( |  | ) | const
| override virtual

Reimplemented from inertia::PowerManagementConfig.

## ◆ ToString()

const std::wstring inertia::PowerManagementConfigCharging::ToString | ( |  | ) | const
| override virtual

Reimplemented from inertia::PowerManagementConfig.

The documentation for this struct was generated from the following file:

- PowerManagementSettings.h